﻿using System;
using HeuristicLab.Core;

namespace HeuristicLab.Problems.MetaOptimization {
  public interface IValueConfiguration : IOptimizable, IItem {
    int Number { get; set; } // if larger than 0 it will be visible in the name. this can be used when multiple ValueConfiguration with the same name exist in a list
    string NumberedName { get; }

    event EventHandler ValueChanged;
    
    //void Parameterize(IParameterizedItem item);
  }
}
